Bug 198175 - devel/gdb: add CPE information
Summary: devel/gdb: add CPE information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-02 18:48 UTC by shun
Modified: 2015-03-18 09:36 UTC (History)
2 users (show)

See Also:
luca.pizzamiglio: maintainer-feedback+


Attachments
Makefile with CPE information added (383 bytes, patch)
2015-03-02 18:48 UTC, shun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shun 2015-03-02 18:48:40 UTC
Created attachment 153668 [details]
Makefile with CPE information added

devel/gdb has had vulnerabilities with a CPE identifier assigned (e.g. CVE-2014-8738). This patch add CPE information as suggested in the FreeBSD wiki[0].

[0] https://wiki.freebsd.org/Ports/CPE
Comment 1 luca.pizzamiglio 2015-03-03 13:07:33 UTC
I totally agree, thanks for that.
Comment 2 commit-hook freebsd_committer 2015-03-18 09:36:07 UTC
A commit references this bug:

Author: robak
Date: Wed Mar 18 09:36:03 UTC 2015
New revision: 381531
URL: https://svnweb.freebsd.org/changeset/ports/381531

Log:
  devel/gdb: add CPE information

  PR:		198175
  Submitted by:	Shun <shun.fbsd.pr@dropcut.net>
  Approved by:	luca.pizzamiglio@gmail.com (maintainer)

Changes:
  head/devel/gdb/Makefile
Comment 3 Bartek Rutkowski freebsd_committer 2015-03-18 09:36:30 UTC
Committed, thanks for your work!